<?php
// po poprawkach
namespace admin\view;

class Adverts {
  
  public function editAdvert( $id = '' )
  {
    $id ? $value = 'Zapisz' : $value = 'Dodaj';
    
    $out = \admin\view\PagePanel::show( false, $value, true, 'Reklama' );

		$dbedit = new \DataEdit( 'pp_adverts', 'id', $id );
		$dbedit -> addPosition( 'name',       'Nazwa',    'text' );
		$dbedit -> addPosition( 'date_start', 'Początek', 'text', 'onFocus="if ( $( this ).val() == \'\' ) $(this).val( \'' . date( 'Y-m-d' ) . '\');"' );
		$dbedit -> addPosition( 'date_end',   'Koniec',   'text', 'onFocus="if ( $( this ).val() == \'\' ) $(this).val( \'' . date( 'Y-m-d' ) . '\');"' );
		$dbedit -> addPosition( 'enabled',    'Aktywna',  'radio' , '' , \System::getComboYesNo() );
		$dbedit -> addPosition( 'img',        'Obraz',    'file' );
		$dbedit -> setUploadFolder( 'image' , 'upload/adverts/' );
		$out .= $dbedit -> draw();
    
    $tpl = new \Savant3;
    $out .= $tpl -> fetch( 'adverts/adverts-edit' );

		return $out;
  }

  public function showAdverts()
  {
    $out = \admin\view\PagePanel::show( 'Dodaj nową', false, false, 'Reklama' );

    $dbrowse = new \DataBrowse( 'pp_adverts' );
    $dbrowse -> addPosition( 'name',        'Nazwa',    '', '', '', 'name' );
    $dbrowse -> addPosition( 'date_start',  'Początek', '', '', '', 'date_start' );
    $dbrowse -> addPosition( 'date_end',    'Koniec',   '', '', '', 'date_end' );
    $dbrowse -> addPosition( 'enabled',     'Aktywna',  '' , \System::getComboYesNo() );
    $dbrowse -> addPositionSimple( 'edytuj',  '', './?rw=edit' );
    $dbrowse -> addPositionSimple( 'usuń',    '', '', \System::deleteAction() );
    $dbrowse -> setParam( 'id' );
    $dbrowse -> addSort( 'name ASC' );
    $dbrowse -> addLp();
    $dbrowse -> addFiltr( 'name',     'Nazwa' );
    $dbrowse -> addFiltr( 'enabled',  'Aktywna', \System::getComboYesNo() );
    $out .= $dbrowse -> draw();

    return $out;
  }
}
?>
